#ifndef GPXI4008_HEADER
#define GPXI4008_HEADER


#define K_DLL_VERSION   110     // Version 1.10

/*-------------------------------------------------------------------------*/
/* Typedefs                                                                */
/*-------------------------------------------------------------------------*/
typedef struct
	{
	unsigned long Version;
	unsigned char DevCount;
	unsigned char DevIndexes[7];
	} GPxi4008_StructDriverInfo;

/*-------------------------------------------------------------------------*/
/* Errorcodes                                                              */
/*-------------------------------------------------------------------------*/
// Fehler Definitionen
// Error aus Treiber (allg.)
#define K_NO_ERROR                   0

// Error aus Treiber (kartenspezifisch)
//#define K_STARTBIT_ACTIV                        -10

#define K_UNDEFINED_ERROR          -50

// Error aus Dll
#define K_INVALID_HANDLE          -100



/*-------------------------------------------------------------------------*/
/* Functions                                                               */
/*-------------------------------------------------------------------------*/
int GPxi4008_GetDriverInfo(GPxi4008_StructDriverInfo* DriverInfo);

int GPxi4008_SetRelayConf(unsigned int, unsigned int, unsigned int);
int GPxi4008_SetRelayConfMask(unsigned int, unsigned int, unsigned int, unsigned int, unsigned int);
int GPxi4008_GetRelayConf(unsigned int, unsigned int*, unsigned int*);
int GPxi4008_UpdateRelay(unsigned int);
int GPxi4008_DLL_Version(unsigned long *pVersion);

#endif